<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [setActionAutolevel](./bitburner.bladeburner.setactionautolevel.md)

## Bladeburner.setActionAutolevel() method

Set an action autolevel.

**Signature:**

```typescript
setActionAutolevel(type: BladeburnerActionType, name: BladeburnerActionName, autoLevel: boolean): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[BladeburnerActionType](./bitburner.bladeburneractiontype.md)


</td><td>

Type of action.


</td></tr>
<tr><td>

name


</td><td>

[BladeburnerActionName](./bitburner.bladeburneractionname.md)


</td><td>

Name of action. Must be an exact match.


</td></tr>
<tr><td>

autoLevel


</td><td>

boolean


</td><td>

Whether or not to autolevel this action


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 4 GB

Enable/disable autoleveling for the specified action.

